#!/bin/bash
echo -----------------------------------
echo Using pip to install Python $PY_VER version of torch-scatter

if [ `uname` == Linux ]; then
    if [ "$PY_VER" == "3.6" ]; then
        wheel_url=https://pytorch-geometric.com/whl/torch-1.8.0+cu111/torch_scatter-2.0.7-cp36-cp36m-linux_x86_64.whl
    elif [ "$PY_VER" == "3.7" ]; then
        wheel_url=https://pytorch-geometric.com/whl/torch-1.8.0+cu111/torch_scatter-2.0.7-cp37-cp37m-linux_x86_64.whl
    elif [ "$PY_VER" == "3.8" ]; then
        wheel_url=https://pytorch-geometric.com/whl/torch-1.8.0+cu111/torch_scatter-2.0.7-cp38-cp38-linux_x86_64.whl
    elif [ "$PY_VER" == "3.9" ]; then
        wheel_url=https://pytorch-geometric.com/whl/torch-1.8.0+cu111/torch_scatter-2.0.7-cp39-cp39-linux_x86_64.whl
    fi
fi


if ["$wheel_url" == ""]; then
    echo Unsupported Python version $PY_VER.
    exit 1
fi

$PYTHON -m pip install --no-deps $wheel_url -vv

errorlevel=$?
echo $status
echo ERRORLEVEL: $rc
exit $rc